Skip to main content
Settings/Settings Operations/Global Settings Operations
PUTGlobal Settings OperationsSince 0.6SynchronousAuth Required

UpdateGlobalConfig

UpdateGlobalConfig

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • categoryStringRequired

    The category.

  • nameStringRequired

    The resource name.

Body Fields

  • updateglobalconfigObjectRequired

    updateglobalconfig request body object.

    • valueString

      Optional. The value.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryGlobalConfigInventoryRequired

    See inventory.

    • nameStringRequired

      The resource name.

    • categoryStringRequired

      类型分类。

    • descriptionStringRequired

      The detailed description of the resource.

    • defaultValueStringRequired

      默认值。

    • valueStringRequired

      字段值。

Endpoint

PUT/zstack/v1/global-configurations/{category}/{name}/actions

/zstack/v1/global-configurations/{category}/{name}/actions

Operation ID

UpdateGlobalConfig

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/global-configurations/{category}/{name}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateglobalconfig":{"value":"<value>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "scheduler.num", "category": "quota", "description": "default quota for scheduler.num", "defaultValue": "80", "value": "90" } }

Change History

This API has no change history records yet.

View all change history